Get shipment details
curl --request GET \
--url https://api.shippeek.dev/shipments/{shipmentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.shippeek.dev/shipments/{shipmentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shippeek.dev/shipments/{shipmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"status": "<string>",
"origin": {
"company": "<string>",
"address": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"destination": {
"company": "<string>",
"address": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"items": [
{
"weight": 123,
"length": 123,
"width": 123,
"height": 123,
"quantity": 1,
"description": "<string>",
"package": "<string>",
"hazardous": false,
"nmfc": "<string>"
}
],
"tracking": {
"status": "<string>",
"trackingNumber": "<string>",
"pickupDate": "2023-11-07T05:31:56Z",
"deliveryDate": "2023-11-07T05:31:56Z"
},
"documents": [
{
"url": "<string>"
}
]
}Shipments
Get shipment details
Retrieve full details for a specific shipment, including origin, destination, items, tracking, documents, and cost breakdown.
GET
/
shipments
/
{shipmentId}
Get shipment details
Authorizations
Your ShipPeek API token in the format client_id.client_secret.
Path Parameters
Shipment ID
⌘I